## ros-kinetic-rc-cloud-accumulator 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

# Don't set PROJECT_VERSION to empty string when no VERSION is given to project() command.
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 OLD)
endif()

project(rc_cloud_accumulator)
include(cmake/project_version.cmake)


# - Configuration for code optimization -

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

include(cmake/optimization_flags.cmake)


## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
  tf2
  tf2_msgs
  tf2_ros
  std_srvs
)


find_package(OpenMP)
if (OPENMP_FOUND)
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()

find_package(Eigen3 REQUIRED)
find_package(PCL 1.3 REQUIRED COMPONENTS common io visualization)
add_definitions(${PCL_DEFINITIONS})


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rc_slam_viewer
#  CATKIN_DEPENDS rc_msgs roscpp
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${PCL_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ executable
add_executable(rc_cloud_accumulator src/main.cc src/cloud_accumulator.cc src/cloud_visualizer.cc)
target_include_directories(rc_cloud_accumulator SYSTEM PUBLIC ${EIGEN3_INCLUDE_DIR} ${PCL_INCLUDE_DIRS})
target_link_libraries(rc_cloud_accumulator ${catkin_LIBRARIES} ${PCL_LIBRARIES})
target_compile_options(rc_cloud_accumulator PRIVATE -Wall)


#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS rc_cloud_accumulator
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
#install(FILES
#  launch/start_demo.launch
#  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
#)

######################################
## Define information for packaging ##
######################################
# optionally set description and maintainer (if not set will use defaults from package_debian.cmake)
set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Roboception viewer for the rc_visard")

# optionally set package maintainer (otherwise defaults to Roboception <info@roboception.de>)
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Felix Endres <felix.endres@roboception.de>")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "ros-$ENV{ROS_DISTRO}-rc-visard-driver, ros-$ENV{ROS_DISTRO}-pcl-ros")
include(cmake/package_debian.cmake)

=== debian/changelog ===
ros-kinetic-rc-cloud-accumulator (1.0.4-0xenial) xenial; urgency=high

  * Merged pull request by Mikael Arguedas to fix debian stretch builds

 -- Felix Endres <felix.endres@roboception.de>  Tue, 03 Jul 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.3-0xenial) xenial; urgency=high

  * Properly shutdown visualization thread on exit
  * Wait 0.25s for the transformations of clouds
  * Remove -mfpu=neon on arm64 to fix ROS build

 -- Felix Endres <felix.endres@roboception.de>  Mon, 02 Jul 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.2-0xenial) xenial; urgency=high

  * Fixup version numbers in package.xml and CHANGELOG.rst
  * Update cmake files from project template

 -- Felix Endres <felix.endres@roboception.de>  Sun, 24 Jun 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.1-0xenial) xenial; urgency=high

  * Fixup compile flags for aarch64

 -- Felix Endres <felix.endres@roboception.de>  Tue, 19 Jun 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.0-0xenial) xenial; urgency=high

  * Initial release

 -- Felix Endres <felix.endres@roboception.de>  Thu, 14 Jun 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rc-cloud-accumulator
Section: misc
Priority: extra
Maintainer: Felix Endres <felix.endres@roboception.de>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, libvtk6-qt-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf2, ros-kinetic-tf2-msgs, ros-kinetic-tf2-ros
Homepage: https://wiki.ros.org/rc_cloud_accumulator
Standards-Version: 3.9.2

Package: ros-kinetic-rc-cloud-accumulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, libvtk6-qt-dev, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf2, ros-kinetic-tf2-msgs, ros-kinetic-tf2-ros
Description: A viewer for the SLAM component of roboception based on ROS and PCL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rc-cloud-accumulator//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
